Subject: RE: EH-201910041212-599897 this Order has updated shipping address!!
From: Jessica Stephenson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 7 Oct 2019 13:26:17 +0000

The address is correct.

Jessica Stephenson  |  Processing Manager
Specialty Fulfillment Center Inc
3 - 17th Avenue South
Nampa, Idaho 83651
208.466.2647
[email-masked]<mailto:[email-masked]>

Complete Customer Fulfillment Management
[SFC Logo]
SFC is committed to delivering a full range of order fulfillment solutions in an easy-to-implement, cost effective friendly manner
Experience Matters

From: [email-masked] <[email-masked]>
Sent: Friday, October 4, 2019 10:44 AM
To: Jessica Stephenson <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: EH-201910041212-599897 this Order has updated shipping address!!

Hello Jessica,

I hope you are doing well.

This is an domestic order in which the address and phone number has been updated, as the customer called us to make the necessary changes in his order.

I've already changed the address for the Customer so I just wanted to inform you about this so that there would be no confusion afterwards.

Below is the updated shipping details for the customer:-

Name:  Neal Reynolds
Address:  Box 357 410 N. Jefferson Ave.
City:  Mt.Pleasant
State:  TX
Zip:  75455
Country:  United States
Phone:  9035632190

Please make the necessary changes if needed.

Thank you,
Bryan